跳转到主要内容
服务和应用/推理服务相关接口
PUTInference Service APIs起始版本 5.1.8同步需要认证

更新模型服务

更新模型服务

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

请求参数

路径参数

  • uuidString必填

    资源的UUID,唯一标示该资源

请求体字段

  • nameString

    资源名称

  • descriptionString

    资源的详细描述

  • yamlString

    模型服务的yaml配置

  • requestCpuInteger

    需要的CPU数量

  • requestMemoryLong

    需要的内存大小

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • successboolean必填

    更新模型服务的结果

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoryModelServiceInventory必填

    详情参考inventory

    • uuidString必填

      资源的UUID,唯一标识该资源

    • nameString必填

      资源名称

    • descriptionString必填

      资源的详细描述

    • readmeString必填

      README内容

    • yamlString必填

      服务YAML配置

    • requestCpuInteger必填

      请求CPU数量

    • requestMemoryLong必填

      请求内存大小

    • modelCenterUuidString必填

      模型中心UUID

    • typeString必填

      模型服务类型

    • frameworkString必填

      模型服务框架

    • sourceString必填

      模型服务来源

    • sizeLong必填

      模型服务大小

    • systemBoolean必填

      是否为系统模型服务

    • hasNewVersionBoolean必填

      是否存在新版本

    • gpuComputeCapabilityString必填

      GPU算力要求

    • installPathString必填

      模型服务安装路径

    • pythonVersionString必填

      Python版本

    • condaVersionString必填

      Conda版本

    • versionString必填

      模型服务版本

    • startCommandString必填

      启动命令

    • containerCommandString必填

      容器启动命令

    • containerArgsString必填

      容器启动参数

    • supportDistributedBoolean必填

      是否支持分布式部署

    • cpuArchitecturesList必填

      支持的CPU架构

    • vendorToSpecUuidsMapMap必填

      GPU厂商与规格UUID映射

    • modelServiceRefsList必填

      模型与模型服务的绑定关系

    • modelServiceImagesList必填

      模型服务镜像列表

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

请求地址

PUT/zstack/v1/ai/model-services/{uuid}

/zstack/v1/ai/model-services/{uuid}

操作 ID

UpdateModelService

永久链接

请求示例

curl -X PUT 'http://{host}/zstack/v1/ai/model-services/{uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"name":"<name>","description":"<description>","yaml":"<yaml>","requestCpu":1,"requestMemory":1,"gpuComputeCapability":"<gpuComputeCapability>","startCommand":"<startCommand>","pythonVersion":"<pythonVersion>","type":"<type>","framework":"<framework>","source":"<source>","architectureImages":["<architectureImages>"],"supportDistributed":true,"environmentParameters":{},"startupParameters":{},"inferenceParams":{},"serviceName":"<serviceName>","servicePorts":["<servicePorts>"],"serviceLivez":"<serviceLivez>","serviceReadyz":"<serviceReadyz>","serviceBootupTime":1,"serviceInstallPath":"<serviceInstallPath>","serviceStartCommand":"<serviceStartCommand>","containerCommand":"<containerCommand>","containerArgs":"<containerArgs>","vendorToSpecUuidsMap":{},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

响应示例

200
{ "inventory": { "uuid": "6c1a5f6167944aa1886294842075279f", "name": "example", "description": "Example description for modelService", "yaml": "services:\n - ports:\n - 3000\n name: qwen1.5-7b-chat:2b34xhrmqwhomjkd\n livez: /livez\n readyz: /readyz\n serviceBootupTime: 30\nenv:\n - key:value\n - key:value\ndistro:\n packages: vim,nfs-utils\npython:\n requirements_txt: ./requirements.txt\n index_url: https://pypi.tuna.tsinghua.edu.cn/simple\n trusted_host: pypi.tuna.tsinghua.edu.cn\n", "requestCpu": 1, "requestMemory": 1024, "modelCenterUuid": "52c542f0c3384b6890e08570e611d52a", "type": "Endpoint", "system": true, "gpuComputeCapability": "3.7", "installPath": "/example/install/path", "pythonVersion": "3.8.10", "condaVersion": "23.7.4", "startCommand": "python3 app.py", "supportDistributed": true, "modelServiceImages": [ { "uuid": "d163eac54dba403abe12e77a0fec3dd5", "modelServiceUuid": "6c1a5f6167944aa1886294842075279f", "cpuArchitecture": "x86_64", "vmImageUuid": "aa45d85a91d94342838797626fd4bbfc", "dockerImage": "registry.example.com/x86_64/myimage:latest", "createDate": "Nov 25, 2025 11:51:50 AM", "lastOpDate": "Nov 25, 2025 11:51:50 AM" }, { "uuid": "e41c7c9d14934ca0aaea2847c2ed8a5e", "modelServiceUuid": "6c1a5f6167944aa1886294842075279f", "cpuArchitecture": "aarch64", "vmImageUuid": "3ab8e36ed4be4fe6bd91ad1e4f22cffd", "dockerImage": "registry.example.com/aarch64/myimage:latest", "createDate": "Nov 25, 2025 11:51:50 AM", "lastOpDate": "Nov 25, 2025 11:51:50 AM" } ], "createDate": "Nov 25, 2025 11:51:50 AM", "lastOpDate": "Nov 25, 2025 11:51:50 AM" } }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史